package cn.newfeifan.mall.module.distri.controller.admin.ptprofitlog.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;


@Schema(description = "管理后台 - 平台利润记录新增/修改 Request VO")
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class PtProfitLogSaveReqVO {

    @Schema(description = "用户ID , 只有收益类型为 3,4才有值", example = "6982")
    private Long userId;

    @Schema(description = "订单Id", example = "26464")
    private Long orderId;

    @Schema(description = "订单编号")
    private String orderNo;

    @Schema(description = "编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "5931")
    private Long id;

    @Schema(description = "计算百分比模板")
    private String percentTemplate;

    @Schema(description = "变动的当前可用积分值（可为负数）")
    private Long amount;

    @Schema(description = "变动后当前可用积分钱包的余额")
    private Long afterAmount;

    @Schema(description = "收益类型 1:平台服务器费 2:平台收益 3用户下单返回毛利额度 4直推人额度 5合赢奖", example = "1")
    private Integer profitStatus;

    @Schema(description = "变动的冻结积分值（可为负数）")
    private Long freezeAmount;

    @Schema(description = "变动后冻结积分钱包的余额")
    private Long afterFreezeAmount;

    @Schema(description = "最大可用积分变化值")
    private Long maxAvailablePointsAmount;

    @Schema(description = "最大可用积分额度")
    private Long afterMaxAvailablePointsAmount;

    @Schema(description = "合赢奖超出额度")
    private Long accumulatedQuotaAmount;

    @Schema(description = "直推奖超出额度")
    private Long ancestorQuotaAmount;

    @Schema(description = "产生积分的用户ID，例如：下订单的用户ID", example = "31502")
    private Long generateUserId;

}