/* 物流系统相关扩展 */

ALTER TABLE `trade_order`
    ADD COLUMN `subscription_logistics_info` tinyint NOT NULL DEFAULT '0' COMMENT '订阅物流信息，未订阅是0，已订阅是1';

ALTER TABLE `trade_order` ADD COLUMN `receiving_time` datetime COMMENT '物流签收时间';

-- 记录快递100回调我们系统的日志
CREATE TABLE `trade_order_callback_logs` (
                                             `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '回调编号',
                                             `order_id` varchar(255) NOT NULL COMMENT '订单ID',
                                             `request_param` text NOT NULL COMMENT '回调推送参数体',
                                             `response_body` text COMMENT '回调响应体',
                                             `status` bit(1) NOT NULL DEFAULT b'0' COMMENT '回调状态，失败是0，成功是1',
                                             `creator` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '创建者',
                                             `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                             `updater` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '更新者',
                                             `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
                                             PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8mb4 COMMENT='第三方回调日志（目前对接了快递100）';